# Кодиране Интервю университет

> Първоначално създадох това като кратък списък с учебни теми за ставане на софтуерен инженер,
> но той се разрасна до големия списък, който виждате днес. След като преминах през този учебен план, [ме наеха на работа
> като инженер по разработка на софтуер в Amazon](https://startupnextdoor.com/ive-been-acquired-by-amazon/?src=ciu)!
> Вероятно няма да ви се наложи да учите толкова много, колкото на мен. Така или иначе, всичко, от което се нуждаете, е тук.
>
> Учех по около 8-12 часа на ден в продължение на няколко месеца. Това е моята история: [Защо учих 8 месеца на пълен работен ден за интервю в Google](https://medium.freecodecamp.org/why-i-studied-full-time-for-8-months-for-a-google-interview-cc662ce9bb13)
>
> **Забележете:** Няма да ви се наложи да учите толкова много, колкото на мен. Изгубих много време за неща, които не трябваше да знам. Повече информация за това ще намерите по-долу. Ще ви помогна да стигнете дотам, без да губите ценното си време.
>
> Изброените тук елементи ще ви подготвят добре за техническо интервю в почти всяка софтуерна компания,
> включително гигантите: Amazon, Facebook, Google и Microsoft.
>
> *Най-добър късмет за вас!*

<details>
<summary>Преводи:</summary>

- [中文版本](translations/README-cn.md)
- [Tiếng Việt - Виетнамски](translations/README-vi.md)
- [Español](translations/README-es.md)
- [Português Brasileiro](translations/README-ptbr.md)
- [Полски](translations/README-pl.md)
- [繁體中文](translations/README-tw.md)
- [Японски (日本語)](translations/README-ja.md)
- [Руски](translations/README-ru.md)
- [Немски](translations/README-de.md)
- [Bahasa Indonesia](translations/README-id.md)
- [ខ្មែរ - Кхмер](translations/README-kh.md)
- [узбекски](translations/README-uz.md)
- [Български](translations/README-bg.md)
- [বাংলা - Bangla](translations/README-bn.md)

</details>

<details>
<summary>Преводите в процес на изпълнение:</summary>

- [हिन्दी](https://github.com/jwasham/coding-interview-university/issues/81)
- [עברית](https://github.com/jwasham/coding-interview-university/issues/82)
- [арабски](https://github.com/jwasham/coding-interview-university/issues/98)
- [турски](https://github.com/jwasham/coding-interview-university/issues/90)
- [Френски](https://github.com/jwasham/coding-interview-university/issues/89)
- [Українська](https://github.com/jwasham/coding-interview-university/issues/106)
- [Корейски(한국어)](https://github.com/jwasham/coding-interview-university/issues/118)
- [Телугу](https://github.com/jwasham/coding-interview-university/issues/117)
- [Урду](https://github.com/jwasham/coding-interview-university/issues/519)
- [Тайландски](https://github.com/jwasham/coding-interview-university/issues/156)
- [Гръцки](https://github.com/jwasham/coding-interview-university/issues/166)
- [Малаялам](https://github.com/jwasham/coding-interview-university/issues/239)
- [персийски - фарси](https://github.com/jwasham/coding-interview-university/issues/186)
- [африканс](https://github.com/jwasham/coding-interview-university/issues/1164)

</details>

<div align="center">
	<hr />
    <p>
        <a href="https://github.com/sponsors/jwasham"><strong>Become a sponsor</strong> and support Coding Interview University!</a>
    </p>
    <p>
        <strong>Special thanks to:</strong>
    </p>
    <p>
        <a href="https://www.gitpod.io/?utm_campaign=jwasham&utm_medium=referral&utm_content=coding-interview-university&utm_source=github">
            <div>
                <img src="https://d3j2pkmjtin6ou.cloudfront.net/sponsors/gitpod-logo-light-theme.svg" width="300" alt="Gitpod">
            </div>
            <div>
                <p>
                    <strong>Dev environments built for the cloud</strong>
                </p>
            </div>
            <div>
                <sup>Natively integrated with GitLab, GitHub, and Bitbucket, Gitpod automatically and continuously prebuilds dev environments for all your branches. As a result team members can instantly start coding with fresh dev environments for each new task - no matter if you are building a new feature, want to fix a bug, or work on a code review.</sup>
            </div>
        </a>
    </p>
    <hr />
</div>

## What is it?

![Coding at the whiteboard - from HBO's Silicon Valley](https://d3j2pkmjtin6ou.cloudfront.net/coding-at-the-whiteboard-silicon-valley.png)

This is my multi-month study plan for becoming a software engineer for a large company. 

**Required:** 
* A little experience with coding (variables, loops, methods/functions, etc)
* Patience
* Time

Note this is a study plan for **software engineering**, not web development. Large software companies like Google, Amazon, 
Facebook and Microsoft view software engineering as different from web development. For example, Amazon has 
Frontend Engineers (FEE) and Software Development Engineers (SDE). These are 2 separate roles and the interviews for 
them will not be the same, as each has its own competencies. These companies require computer science knowledge for 
software development/engineering roles.

---

## Table of Contents

### The Study Plan

- [Какво е това?] (#what-is